Index: sansview/perspectives/fitting/fitpage.py
===================================================================
--- sansview/perspectives/fitting/fitpage.py	(revision 298b76252a7723b414f74329d945b01c2b694ef9)
+++ sansview/perspectives/fitting/fitpage.py	(revision d1e04737f5484e5576c030020a1a5851d1235dba)
@@ -1,2 +1,4 @@
+
+
 import sys
 import wx
@@ -107,5 +109,5 @@
         
         #Display Chi^2/dof
-        sizer_smearer.Add((70,10))
+        sizer_smearer.Add((68,10))
         box_description= wx.StaticBox(self, -1,'Chi2/dof')
         boxsizer1 = wx.StaticBoxSizer(box_description, wx.VERTICAL)
@@ -170,5 +172,5 @@
             #data_max = str(format_number(radius_max))
             data_max = str((radius_max))
-            text4_3 = wx.StaticText(self, -1, 'Total Q Range (1/A)',
+            text4_3 = wx.StaticText(self, -1, "Total Q Range (1/A)",
                                      style=wx.ALIGN_LEFT)
             sizer_data.Add( text4_3 )
@@ -714,5 +716,6 @@
         """
              set to true or false all checkBox given the main checkbox value cb1
-        """
+        """            
+
         self.param_toFit=[]
         
@@ -812,4 +815,9 @@
         sizer.Add(self.cb1,(iy, ix),(1,1),\
                              wx.LEFT|wx.EXPAND|wx.ADJUST_MINSIZE, 15)
+        ix += 1
+        self.text2_4 = wx.StaticText(self, -1, '[Units]')
+        sizer.Add(self.text2_4,(iy, ix),(1,1),\
+                            wx.EXPAND|wx.ADJUST_MINSIZE, 0) 
+        #self.text2_4.Hide()
         ix +=1
         self.text2_2 = wx.StaticText(self, -1, 'Values')
@@ -831,9 +839,4 @@
                             wx.EXPAND|wx.ADJUST_MINSIZE, 0) 
         self.text2_max.Hide()
-        ix += 1
-        self.text2_4 = wx.StaticText(self, -1, '[Units]')
-        sizer.Add(self.text2_4,(iy, ix),(1,1),\
-                            wx.EXPAND|wx.ADJUST_MINSIZE, 0) 
-        self.text2_4.Hide()
         if self.engine_type=="park":
             self.text2_max.Show(True)
@@ -850,4 +853,12 @@
                 sizer.Add( cb,( iy, ix),(1,1),
                              wx.LEFT|wx.EXPAND|wx.ADJUST_MINSIZE, 15)
+                ix +=1
+                # Units
+                try:
+                    units = wx.StaticText(self, -1, self.model.details[item][0], style=wx.ALIGN_LEFT)
+                except:
+                    units = wx.StaticText(self, -1, "", style=wx.ALIGN_LEFT)
+                sizer.Add(units, (iy,ix),(1,1),  wx.EXPAND|wx.ADJUST_MINSIZE, 0)
+                
                 ## add parameter value
                 ix += 1
@@ -902,12 +913,4 @@
                     ctl4.Show(True)
                     
-                ix +=1
-                # Units
-                try:
-                    units = wx.StaticText(self, -1, self.model.details[item][0], style=wx.ALIGN_LEFT)
-                except:
-                    units = wx.StaticText(self, -1, "", style=wx.ALIGN_LEFT)
-                sizer.Add(units, (iy,ix),(1,1),  wx.EXPAND|wx.ADJUST_MINSIZE, 0)
-                
                 ##[cb state, name, value, "+/-", error of fit, min, max , units]
                 self.parameters.append([cb,item, ctl1,
@@ -930,4 +933,16 @@
                 sizer.Add( cb,( iy, ix),(1,1),
                              wx.LEFT|wx.EXPAND|wx.ADJUST_MINSIZE, 15)
+                ix +=1
+                # Units
+                try:
+                    units = wx.StaticText(self, -1, self.model.details[item][0], style=wx.ALIGN_LEFT)
+                except:
+                    units = wx.StaticText(self, -1, "", style=wx.ALIGN_LEFT)
+                if self.data.__class__.__name__ =="Data2D":
+                    units.Enable()
+                else:
+                    units.Disable()
+                sizer.Add(units, (iy,ix),(1,1),  wx.EXPAND|wx.ADJUST_MINSIZE, 0)
+
                 ## add parameter value
                 ix += 1
@@ -992,11 +1007,4 @@
                     ctl4.Show(True)
                     
-                ix +=1
-                # Units
-                try:
-                    units = wx.StaticText(self, -1, self.model.details[item][0], style=wx.ALIGN_LEFT)
-                except:
-                    units = wx.StaticText(self, -1, "", style=wx.ALIGN_LEFT)
-                sizer.Add(units, (iy,ix),(1,1),  wx.EXPAND|wx.ADJUST_MINSIZE, 0)
                 
                 ##[cb state, name, value, "+/-", error of fit, min, max , units]
Index: sansview/perspectives/fitting/modelpage.py
===================================================================
--- sansview/perspectives/fitting/modelpage.py	(revision 60132ef18e274730daf212156c736dd44e98affe)
+++ sansview/perspectives/fitting/modelpage.py	(revision d1e04737f5484e5576c030020a1a5851d1235dba)
@@ -446,12 +446,12 @@
                              wx.LEFT|wx.EXPAND|wx.ADJUST_MINSIZE, 15)
         ix +=1
+        self.text2_4 = wx.StaticText(self, -1, '[Units]')
+        sizer.Add(self.text2_4,(iy, ix),(1,1),\
+                            wx.EXPAND|wx.ADJUST_MINSIZE, 0) 
+        #self.text2_4.Hide()
+        ix +=1
         self.text2_2 = wx.StaticText(self, -1, 'Values')
         sizer.Add(self.text2_2,(iy, ix),(1,1),\
                             wx.EXPAND|wx.ADJUST_MINSIZE, 0) 
-        ix +=1
-        self.text2_4 = wx.StaticText(self, -1, '[Units]')
-        sizer.Add(self.text2_4,(iy, ix),(1,1),\
-                            wx.EXPAND|wx.ADJUST_MINSIZE, 0) 
-        self.text2_4.Hide()
         
         for item in keys:
@@ -462,15 +462,4 @@
                 sizer.Add( name,( iy, ix),(1,1),
                              wx.LEFT|wx.EXPAND|wx.ADJUST_MINSIZE, 15)
-                ix += 1
-                value= self.model.getParam(item)
-                ctl1 = wx.TextCtrl(self, -1, size=(_BOX_WIDTH,20),
-                    style=wx.TE_PROCESS_ENTER)
-                
-                ctl1.SetValue(str (format_number(value)))
-                ctl1.Bind(wx.EVT_SET_FOCUS, self.onSetFocus)
-                ctl1.Bind(wx.EVT_KILL_FOCUS, self._onparamEnter)
-                ctl1.Bind(wx.EVT_TEXT_ENTER,self._onparamEnter)
-                
-                sizer.Add(ctl1, (iy,ix),(1,1), wx.EXPAND)
                 ix +=1
                 # Units
@@ -480,4 +469,16 @@
                     units = wx.StaticText(self, -1, "", style=wx.ALIGN_LEFT)
                 sizer.Add(units, (iy,ix),(1,1),  wx.EXPAND|wx.ADJUST_MINSIZE, 0)
+
+                ix += 1
+                value= self.model.getParam(item)
+                ctl1 = wx.TextCtrl(self, -1, size=(_BOX_WIDTH,20),
+                    style=wx.TE_PROCESS_ENTER)
+                
+                ctl1.SetValue(str (format_number(value)))
+                ctl1.Bind(wx.EVT_SET_FOCUS, self.onSetFocus)
+                ctl1.Bind(wx.EVT_KILL_FOCUS, self._onparamEnter)
+                ctl1.Bind(wx.EVT_TEXT_ENTER,self._onparamEnter)
+                
+                sizer.Add(ctl1, (iy,ix),(1,1), wx.EXPAND)
                 ##[cb state, name, value, "+/-", error of fit, min, max , units]
                 self.parameters.append([None,item, ctl1,
@@ -492,16 +493,4 @@
                 sizer.Add( name,( iy, ix),(1,1),
                              wx.LEFT|wx.EXPAND|wx.ADJUST_MINSIZE, 15)
-                ix += 1
-                value= self.model.getParam(item)
-                ctl1 = wx.TextCtrl(self, -1, size=(_BOX_WIDTH,20),
-                    style=wx.TE_PROCESS_ENTER)
-                
-                ctl1.SetValue(str (format_number(value)))
-                ctl1.Disable()
-                ctl1.Bind(wx.EVT_SET_FOCUS, self.onSetFocus)
-                ctl1.Bind(wx.EVT_KILL_FOCUS, self._onparamEnter)
-                ctl1.Bind(wx.EVT_TEXT_ENTER,self._onparamEnter)
-                
-                sizer.Add(ctl1, (iy,ix),(1,1), wx.EXPAND)
                 ix +=1
                 # Units
@@ -511,4 +500,18 @@
                     units = wx.StaticText(self, -1, "", style=wx.ALIGN_LEFT)
                 sizer.Add(units, (iy,ix),(1,1),  wx.EXPAND|wx.ADJUST_MINSIZE, 0)
+
+                ix += 1
+                value= self.model.getParam(item)
+                ctl1 = wx.TextCtrl(self, -1, size=(_BOX_WIDTH,20),
+                    style=wx.TE_PROCESS_ENTER)
+                
+                ctl1.SetValue(str (format_number(value)))
+                ctl1.Disable()
+                ctl1.Bind(wx.EVT_SET_FOCUS, self.onSetFocus)
+                ctl1.Bind(wx.EVT_KILL_FOCUS, self._onparamEnter)
+                ctl1.Bind(wx.EVT_TEXT_ENTER,self._onparamEnter)
+                
+                sizer.Add(ctl1, (iy,ix),(1,1), wx.EXPAND)
+                
                 ##[cb state, name, value, "+/-", error of fit, min, max , units]
                 self.parameters.append([None,item, ctl1,
